<?php

use CodeIgniter\Router\RouteCollection;

/** @var RouteCollection $routes */

/* Rutas para tarifas */
$routes->group('importador', ['namespace' => 'App\Controllers\Importadores'], function ($routes) {
    
    /* Desde Catalogo */
    $routes->group('catalogo', ['namespace' => 'App\Controllers\Importadores'], function ($routes) {
        /**======================
         *    Tool
         *========================**/
        $routes->get('', 'ImportadorCatalogo::index', ['as' => 'importadorCatalogoTool']);
        
        /**======================
         *    AJAX
         *========================**/
        $routes->post('validar-fila', 'ImportadorCatalogo::validarFila');
        $routes->post('importar-fila', 'ImportadorCatalogo::importarFila');

    });

    /* Desde Cliente Bubok */
    $routes->group('bubok', ['namespace' => 'App\Controllers\Importadores'], function ($routes) {
        /**======================
         *    Tool
         *========================**/
        $routes->get('', 'ImportadorBubok::index', ['as' => 'importadorBubokTool']);
        
        /**======================
         *    AJAX
         *========================**/
        $routes->post('importar-fila', 'ImportadorBubok::importarFila');

    });
});